package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PmPositionDto extends BaseDto {
	
	private static final long	serialVersionUID	= -4416633756308926887L;
	
	// フィールド
	private String				positionCode		= "";						// 職位コード
	private String				positionName		= "";						// 職位名
	private int					grade				= 0;						// 号数
	private int					notch				= 0;						// 等級
	private int					basicSalary			= 0;						// 基本給
	private String				employmentType		= "";						// 雇用区分
	private String				defaultAuth			= "";						// デフォルトプログラム利用権限
	private int					defaultLevel		= 0;						// デフォルトデータ参照レベル
	private int					deleteFlag			= 0;						// 削除フラグ
																				
	
	/**
	 * コンストラクタ
	 */
	public PmPositionDto() {
		super();
	}
	
	// アクセサメソッド
	public String getPositionCode() {
		return positionCode;
	} // 職位コード
	
	public String getPositionName() {
		return positionName;
	} // 職位名
	
	public int getGrade() {
		return grade;
	} // 号数
	
	public int getNotch() {
		return notch;
	} // 等級
	
	public int getBasicSalary() {
		return basicSalary;
	} // 基本給
	
	public String getEmploymentType() {
		return employmentType;
	} // 雇用区分
	
	public String getDefaultAuth() {
		return defaultAuth;
	} // デフォルトプログラム利用権限
	
	public int getDefaultLevel() {
		return defaultLevel;
	} // デフォルトデータ参照レベル
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 職位コード
	
	public void setPositionName(String positionName) {
		this.positionName = positionName;
	} // 職位名
	
	public void setGrade(int grade) {
		this.grade = grade;
	} // 号数
	
	public void setNotch(int notch) {
		this.notch = notch;
	} // 等級
	
	public void setBasicSalary(int basicSalary) {
		this.basicSalary = basicSalary;
	} // 基本給
	
	public void setEmploymentType(String employmentType) {
		this.employmentType = employmentType;
	} // 雇用区分
	
	public void setDefaultAuth(String defaultAuth) {
		this.defaultAuth = defaultAuth;
	} // デフォルトプログラム利用権限
	
	public void setDefaultLevel(int defaultLevel) {
		this.defaultLevel = defaultLevel;
	} // デフォルトデータ参照レベル
	
	public int getDeleteFlag() {
		return deleteFlag;
	}
	
	public void setDeleteFlag(int deleteFlag) {
		this.deleteFlag = deleteFlag;
	}
	
}
